@import '@styles/breakpoints.scss';

.header {
  height: var(--header-height);
  background-color: var(--body-bg-color-primary);
  backdrop-filter: blur(4px);
  box-shadow: 0 4px 10px var(--body-bg-color-primary);

  &__content {
    position: relative;
    overflow: hidden;
    display: grid;
    grid-template-columns: auto 1fr auto;
    align-items: center;
    height: 100%;

    &:after {
      content: '';
      position: absolute;
      width: 100%;
      height: 1px;
      bottom: 0;
      left: 50%;
      background-color: var(--border-color-secondary);
      transform: translateX(-50%);
    }

    & > * {
      margin-right: 15px;

      &:last-child {
        margin-right: 0;
      }
    }
  }

  &__theme {
    display: none;
  }

  &__lang {
    display: none;
  }

  @include tablet {
    &__content {
      grid-template-columns: auto auto 1fr auto auto auto;
    }

    &__theme {
      display: block;
    }

    &__lang {
      display: block;
    }
  }
}
